aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-30 13:51:55 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-30 13:51:55 +0000
commitdeffba92d97f905702eccbe036f717087f729cf3 (patch)
tree57fcf2435b97e29794a3107404a37033839d0253
parent46a119a4721230bf6b76d4b4a49032573fe074ab (diff)
downloadslackbuilds-deffba92d97f905702eccbe036f717087f729cf3.tar.gz
slackbuilds-deffba92d97f905702eccbe036f717087f729cf3.tar.bz2
postgresql: added init script ; clamav small fix
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@546 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xclamav/clamav.SlackBuild1
-rwxr-xr-xpostgresql/postgresql.SlackBuild13
2 files changed, 12 insertions, 2 deletions
diff --git a/clamav/clamav.SlackBuild b/clamav/clamav.SlackBuild
index 7561a058..c4af9541 100755
--- a/clamav/clamav.SlackBuild
+++ b/clamav/clamav.SlackBuild
@@ -123,7 +123,6 @@ echo '( if ! grep -qe "^clamav:" etc/group; then echo creating group clamav... ;
echo '( if ! grep -qe "^clamav:" etc/passwd; then echo creating user clamav... ; chroot . /usr/sbin/useradd clamav -g clamav; fi )' >> install/doinst.sh
echo '( if [ ! -f "etc/clamd.conf" ]; then mv etc/clamd.conf.new etc/clamd.conf; fi )' >> install/doinst.sh
echo '( if [ ! -f "etc/freshclam.conf" ]; then mv etc/freshclam.conf.new etc/freshclam.conf; fi )' >> install/doinst.sh
-echo '( mkdir -p var/log/munin var/run/munin var/munin )' >> install/doinst.sh
makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
diff --git a/postgresql/postgresql.SlackBuild b/postgresql/postgresql.SlackBuild
index d6f0065f..d008a5a5 100755
--- a/postgresql/postgresql.SlackBuild
+++ b/postgresql/postgresql.SlackBuild
@@ -83,7 +83,7 @@ if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
fi
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-thread-safety || exit $ERROR_CONF
make || exit $ERROR_MAKE
make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
@@ -91,6 +91,12 @@ CWD="`pwd`"
cd $TMP/package-$PACKAGE
+mkdir -p etc/rc.d
+sed -e 's/\/usr\/local\/pgsql\/data/\/var\/lib\/pgsql\/data/' \
+ -e 's/\/usr\/local\/pgsql/\/usr/' $CWD/contrib/start-scripts/linux > etc/rc.d/rc.postgresql.new
+
+chmod 755 etc/rc.d/rc.postgresql.new
+
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -126,6 +132,11 @@ for file in $DOCS; do
cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
done
+# install script
+echo '( if ! grep -qe "^postgres:" etc/group; then echo creating group postgres... ; chroot . /usr/sbin/groupadd postgres; fi )' >> install/doinst.sh
+echo '( if ! grep -qe "^postgres:" etc/passwd; then echo creating user postgres... ; chroot . /usr/sbin/useradd postgres -g postgres; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/rc.d/rc.postgresql" ]; then mv etc/rc.d/rc.postgresql.new etc/rc.d/rc.postgresql; fi )' >> install/doinst.sh
+
makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then